Boolean option for list configuration.

package | lists
author | Roland Gruber

### Methods

## Creates a new selection list option.

    __construct(String $name, array $options, String $ID) : \lamBooleanListOption

### Parameters

#### $name

`String`

name to show on config page

#### $options

`array`

list of possible values

#### $ID

`String`

unique ID

### Returns

`\lamBooleanListOption`config option

## Fills the config option from POST data.

    fillFromPostData() : array

### Returns

`array`list of StatusMessages (array(<type>, ,
))

## Returns the option ID.

    getID() : String

Inherited

inherited_from | \lamListOption::getID()

### Returns

`String`ID

## Returns the meta HTML data to display this option.

    getMetaHTML() : \htmlTable

### Returns

`\htmlTable`meta HTML

## Returns the option value.

    getValue() : String

Inherited

The value must not contain "=" and ";".

inherited_from | \lamListOption::getValue()

### Returns

`String`value

## Sets the help ID.

    setHelpID(\Strign $id)

### Parameters

#### $id

`\Strign`

help ID

## Sets the config option value.

    setValue(String $value)

Inherited

The value must not contain "=" and ";".

inherited_from | \lamListOption::setValue()

### Parameters

#### $value

`String`

### Properties

## unique ID

    $ID

Inherited

inherited_from | \lamListOption::$$ID

## help ID

    $helpID

## option name

    $name

## possible select options

    $options

## option value

    $value

Inherited

inherited_from | \lamListOption::$$value